package com.backendsys.modules.sdk.klingai.service;

import cn.hutool.json.JSONObject;
import com.backendsys.modules.sdk.klingai.entity.KLGenerationImageParams;
import com.backendsys.modules.sdk.klingai.entity.KLImage2VideoParams;
import com.backendsys.modules.sdk.klingai.entity.KLResponse;
import com.backendsys.modules.sdk.klingai.entity.KLText2VideoParams;
import reactor.core.publisher.Mono;

public interface KLingService {

    // 6-1 查询账号下资源包列表及余量
    Mono<KLResponse> queryAccountCosts();


    // 2-1【图像生成】创建任务
    Mono<KLResponse> generationImage(KLGenerationImageParams params);
    // 2-2【图像生成】查询任务（单个）
    Mono<KLResponse> queryImageTask(String task_id);


    // 3-1【文生视频】创建任务
    Mono<KLResponse> text2Video(KLText2VideoParams params);
    // 3-2【文生视频】查询任务（单个）
    Mono<KLResponse> queryText2VideoTask(String task_id);


    // 3-4【图生视频】创建任务
    Mono<KLResponse> image2Video(KLImage2VideoParams params);
    // 3-5【图生视频】查询任务（单个）
    Mono<KLResponse> queryImage2VideoTask(String task_id);
}
